﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Windows.Diagram;

namespace CursorType_CursorPosition
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            view.MouseDoubleClick += view_MouseDoubleClick;
            model.Nodes.CollectionChanged += Nodes_CollectionChanged;
            
        }

        void Nodes_CollectionChanged(object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e)
        {
            if (e.NewItems != null)
            {
                (e.NewItems[0] as Node).Loaded += MainWindow_Loaded;
            }
        }

        void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            Node n = (sender as Node);
            n.Content = new Button()
            {
                HorizontalAlignment = HorizontalAlignment.Stretch,
                VerticalAlignment = VerticalAlignment.Stretch,
                Content = "Button"
            };
            n.HorizontalContentAlignment = HorizontalAlignment.Stretch;
            n.VerticalContentAlignment = VerticalAlignment.Stretch;
            (n.Content as Button).MouseEnter += MainWindow_MouseEnter;
        }

        void MainWindow_MouseEnter(object sender, MouseEventArgs e)
        {
            (sender as Button).Cursor = Cursors.Hand;
        }

       
        void view_MouseDoubleClick(object sender, MouseButtonEventArgs e)
        {
            MessageBox.Show(Mouse.GetPosition(view).ToString());
           // MessageBox.Show(e.GetPosition(sender as DiagramView).ToString());
        }
    }
}
